import Flex from './component/flex'
import Textarea from './component/textarea'
import NProgress from './component/nprogress'
import Mask from './component/mask'
import Toast from './component/toast'
import Page from './component/page'
import Infinite from './component/infinite'
import InfiniteBox from './component/infinite/infinite_box'
import Header from './component/header'
import Storage from './component/storage'
import Slider from './component/slider'
import SliderLess from './component/slider_less'
import Popup from './component/popup'
import { Search, SearchPage, FakeSearch } from './component/search'
import Square from './component/square'
import LazyImg from './component/lazy_img'
import Dialog from './component/dialog'
import ScrollIntoView from './component/scroll_into_view'
import CursorFix from './component/cursor_fix'
import Select from './component/select'
import Trigger from './component/trigger'
import Tooltip from './component/tooltip'
import PreviewImage from './component/preview_image'
import LayoutRoot from './component/layout_root'
import Price from './component/price'
import Counter from './component/counter'
import Loading from './component/loading'
import Divider from './component/divider'
import Uploader from './component/uploader'
import {
  Cells,
  CellsTitle,
  CellsTips,
  Cell,
  CellHeader,
  CellBody,
  CellFooter,
  CellSwipe,
  CellSwitch
} from './component/cell'
import Button from './component/button'
import Tabs from './component/tabs'
import { Picker, ConfirmPicker, CouplingPicker, ConfirmCouplingPicker } from './component/picker'
import { setLocale } from './locales'
import { Calendar } from './component/calendar'
import FlipNumber from './component/flip_number'
import InnerLayer from './component/inner_layer'
import InputNumber from './component/input_number'
import Keyboard from './component/keyboard'
import Radio from './component/radio'

import List from './component/list'
import { LetterIndex, LetterIndexMultiple } from './component/letter_index'
import ProgressBar from './component/progress'
import TimeSelect from './component/time_select'
import Canvas from './component/canvas'
import Signature from './component/signature'
import ActionSheet from './component/action_sheet'

const Alert = Dialog.alert
const Confirm = Dialog.confirm

export {
  Button,
  Flex,
  Infinite,
  InfiniteBox,
  Textarea,
  NProgress,
  Mask,
  Toast,
  Page,
  Header,
  Storage,
  Slider,
  SliderLess,
  Popup,
  Search,
  FakeSearch,
  SearchPage,
  Square,
  LazyImg,
  Loading,
  Dialog, Alert, Confirm,
  ScrollIntoView,
  CursorFix,
  Select,
  Trigger,
  Tooltip,
  PreviewImage,
  LayoutRoot,
  Price,
  Counter,
  Divider,
  InnerLayer,
  Uploader,

  Cells,
  Cell,
  CellsTitle,
  CellsTips,
  CellHeader,
  CellBody,
  CellFooter,
  CellSwipe,
  CellSwitch,

  Tabs,

  Picker,
  ConfirmPicker,
  CouplingPicker,
  ConfirmCouplingPicker,

  Calendar,

  FlipNumber,
  InputNumber,
  Keyboard,
  Radio,
  List,
  LetterIndex,
  LetterIndexMultiple,

  setLocale,
  ProgressBar,
  Canvas,
  ActionSheet,

  // 业务组件
  TimeSelect,
  Signature
}
